# dipy_bundlewarp

## Synopsis

BundleWarp: streamline-based nonlinear registration.

BundleWarp [1] is a nonrigid registration method for deformable registration of white matter tracts.

## Usage

    dipy_bundlewarp [OPTIONS] static_file moving_file

## Input Parameters

- `static_file`

  Path to the static (reference) .trk file.

- `moving_file`

  Path to the moving (target to be registered) .trk file.

## General Options

- `--dist`

  Path to the precalculated distance matrix file. (default: None)

- `--alpha`

  Represents the trade-off between regularizing the deformation and having points match very closely. Lower value of alpha means high deformations. It is represented with λ in BundleWarp paper. NOTE: setting alpha<=0.01 will result in highly deformable registration that could extremely modify the original anatomy of the moving bundle. (default: 0.3)

- `--beta`

  Represents the strength of the interaction between points Gaussian kernel size. (default: 20)

- `--max_iter`

  Maximum number of iterations for deformation process in ml-CPD method. (default: 15)

- `--affine`

  If False, use rigid registration as starting point. (default True) (default: True)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_linear_moved`

  Filename of linearly moved bundle. (default: linearly_moved.trk)

- `--out_nonlinear_moved`

  Filename of nonlinearly moved (warped) bundle. (default: nonlinearly_moved.trk)

- `--out_warp_transform`

  Filename of warp transformations generated by BundleWarp. (default: warp_transform.npy)

- `--out_warp_kernel`

  Filename of regularization gaussian kernel generated by BundleWarp. (default: warp_kernel.npy)

- `--out_dist`

  Filename of MDF distance matrix. (default: distance_matrix.npy)

- `--out_matched_pairs`

  Filename of matched pairs; streamline correspondences between two bundles. (default: matched_pairs.npy)

## References

[1]

Bramsh Qamar Chandio, Emanuele Olivetti, David Romero-Bascones, Jaroslaw Harezlak, and Eleftherios Garyfallidis. BundleWarp, streamline-based nonlinear registration of white matter tracts. bioRxiv, 2023. doi:https://doi.org/10.1101/2023.01.04.522802.

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.